TimeToCargo

Create a batch tracking task

Download OpenAPI
POST
/v2/tracking/batch

Creates a task for between 1 and 500 tracking numbers. Processing is asynchronous. The API returns a task_id without waiting for tracking results. Use it with GET /v2/tracking/batch to retrieve the task state and results later. Task data is cached for up to 6 hours.

Authorization

api_key
api_key<token>

In: query

Query Parameters

need_route?boolean

Whether to include route information

Defaultfalse

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v2/tracking/batch?need_route=false" \  -H "Content-Type: application/json" \  -d '{    "tracked_items": [      {        "company": "COSU",        "track_number": {          "value": "CSNU6184414",          "type": "container"        }      },      {        "company": "AKKU",        "track_number": {          "value": "AKKNEM25072638",          "type": "bl"        }      }    ]  }'
{  "success": true,  "data": {    "task_id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"  },  "status": "OK"}